{{set . "title" "Home"}}
{{template "header.html" .}}

<div class="container">
  <div class="row">
    <div class="col-md-6">
      <img class="w-100" src="{{config.Address}}/public/images/feneas-logo.png" alt="{{msg . "feneas.name.long"}}" />
    </div>
    <div class="col-md-6">
      <div class="row">
        <div class="col-12">
          {{- if .user}}
          <h1>Welcome, {{.user.CN}}!</h1>
          <ul>
            <li>{{msg . "user_info.joined" .user.CreatedAt.Day .user.CreatedAt.Month .user.CreatedAt.Year}}</li>
            <li>{{msg . "user_info.nextcloud" .user.NextcloudQuota}}</li>
          </ul>
          {{- else}}
          <h1>{{msg . "welcome"}}</h1>
          {{msg . "description"}}
          {{- end}}
        </div>
      </div>
      <div class="row">
        <div class="col-12">
          {{- if .user}}
          <h2 class="mt-4">{{msg . "menu.title"}}</h2>
          <ul>
            <li><a href="{{config.Address}}/change_password">{{msg . "menu.change_password"}}</a></li>
            <li><a href="{{config.Address}}/profile/edit">{{msg . "menu.change_profile"}}</a></li>
            <li><a href="{{config.Address}}/settings/edit">{{msg . "menu.change_settings"}}</a></li>
          </ul>
          {{- else}}
          <h2 class="mt-4">{{msg . "login.title"}}</h2>
          <form method="post" action="{{config.Address}}/users/sign_in">
            <div class="form-group">
              <label class="sr-only" for="username">{{msg . "login.username"}}</label>
              <div class="input-group mb-2">
                <div class="input-group-prepend">
                  <div class="input-group-text">
                    <i class="fa fa-user" aria-hidden="true"></i>
                  </div>
                </div>
                <input type="text" class="form-control" name="username" id="username" placeholder="{{msg . "login.username"}}" required>
              </div>
            </div>
            <div class="form-group">
              <label class="sr-only" for="password">{{msg . "login.password"}}</label>
              <div class="input-group mb-2">
                <div class="input-group-prepend">
                  <div class="input-group-text">
                    <i class="fa fa-asterisk" aria-hidden="true"></i>
                  </div>
                </div>
                <input type="password" class="form-control" name="password" id="password" placeholder="{{msg . "login.password"}}" required>
              </div>
            </div>
            <div class="form-group">
              <button type="submit" id="submit" class="btn btn-primary btn-block">{{msg . "login.submit"}}</button>
              <small id="submit" class="form-text">
                <a href="{{config.Address}}/reset_password">{{msg . "form.reset_password"}}</a>
              </small>
            </div>
          </form>
          {{- end}}
        </div>
      </div>
    </div>
  </div>
</div>

{{template "footer.html" .}}
